xine-lib: xine-lib-1.2.13/src/post/goom/goom.h File Reference

xine-lib 1.2.13-20230125hg15249

Macros | Functions
goom.h File Reference
`#include "goom_config.h"`
`#include "goom_plugin_info.h"`
`#include "goomsl.h"`

Go to the source code of this file.

## Macros
#define | NB_FX 10

## Functions
PluginInfo * | goom_init (unsigned int resx, unsigned int resy)
void | goom_set_resolution (PluginInfo *goomInfo, unsigned int resx, unsigned int resy)
unsigned int * | goom_update (PluginInfo *goomInfo, signed short int data[2][512], int forceMode, float fps, char *songTitle, char *message)
int | goom_set_screenbuffer (PluginInfo *goomInfo, void *buffer)
void | goom_close (PluginInfo *goomInfo)

## Macro Definition Documentation

## ◆ NB_FX

#define NB_FX 10

Referenced by goom_update().

## Function Documentation

## ◆ goom_close()

void goom_close | ( | PluginInfo * | goomInfo | ) |

References _PLUGIN_INFO::back, _PLUGIN_INFO::conv, _PLUGIN_INFO::convolve_fx, _PLUGIN_INFO::font, _VISUAL_FX::free, gfont_unload(), _PLUGIN_INFO::gmline1, _PLUGIN_INFO::gmline2, goom_lines_free(), goom_random_free(), _PLUGIN_INFO::gRandom, _PLUGIN_INFO::ifs_fx, NULL, _PARAMETERS::params, _PLUGIN_INFO::params, _SOUND_INFO::params, _PLUGIN_INFO::pixel, _PLUGIN_INFO::sound, _PLUGIN_INFO::star_fx, _PLUGIN_INFO::tentacles_fx, _PLUGIN_INFO::visuals, and _PLUGIN_INFO::zoomFilter_fx.

Referenced by goom_dispose(), and goom_port_put_buffer().

## ◆ goom_init()

PluginInfo * goom_init | ( | unsigned int | resx,
|  | unsigned int | resy )

References convolve_create(), _PLUGIN_INFO::convolve_fx, _PLUGIN_INFO::cycle, flying_star_create(), _PLUGIN_INFO::font, gfont_load(), GML_BLACK, GML_CIRCLE, GML_HLINE, GML_RED, GML_VERT, _PLUGIN_INFO::gmline1, _PLUGIN_INFO::gmline2, goom_lines_init(), goom_random_init(), _PLUGIN_INFO::gRandom, _PLUGIN_INFO::_SIZE_TYPE::height, _PLUGIN_INFO::ifs_fx, ifs_visualfx_create(), _VISUAL_FX::init, init_buffers(), _PLUGIN_INFO::pixel, plugin_info_add_visual(), plugin_info_init(), _PLUGIN_INFO::screen, _PLUGIN_INFO::_SIZE_TYPE::size, _PLUGIN_INFO::star_fx, tentacle_fx_create(), _PLUGIN_INFO::tentacles_fx, _PLUGIN_INFO::_SIZE_TYPE::width, _PLUGIN_INFO::zoomFilter_fx, and zoomFilterVisualFXWrapper_create().

Referenced by goom_open_plugin(), and goom_port_put_buffer().

## ◆ goom_set_resolution()

void goom_set_resolution | ( | PluginInfo * | goomInfo,
|  | unsigned int | resx,
|  | unsigned int | resy )

References _PLUGIN_INFO::back, _PLUGIN_INFO::conv, _VISUAL_FX::free, _PLUGIN_INFO::gmline1, _PLUGIN_INFO::gmline2, goom_lines_set_res(), _PLUGIN_INFO::_SIZE_TYPE::height, _PLUGIN_INFO::ifs_fx, _VISUAL_FX::init, init_buffers(), _PLUGIN_INFO::pixel, _PLUGIN_INFO::screen, _PLUGIN_INFO::_SIZE_TYPE::size, and _PLUGIN_INFO::_SIZE_TYPE::width.

## ◆ goom_set_screenbuffer()

int goom_set_screenbuffer | ( | PluginInfo * | goomInfo,
|  | void * | buffer )

References _PLUGIN_INFO::outputBuf.

## ◆ goom_update()

unsigned int * goom_update | ( | PluginInfo * | goomInfo,
|  | signed short int | data[2][512],
|  | int | forceMode,
|  | float | fps,
|  | char * | songTitle,
|  | char * | message )

References AMULETTE_MODE, _VISUAL_FX::apply, BLACK, choose_a_goom_line(), CRYSTAL_BALL_MODE, _PLUGIN_INFO::curGState, _PLUGIN_INFO::cycle, _PLUGIN_INFO::cyclesSinceLastChange, _PLUGIN_INFO::decay_ifs, GoomState::drawIFS, _PLUGIN_INFO::drawLinesDuration, GoomState::drawPoints, GoomState::drawScope, evaluate_sound(), _PLUGIN_INFO::font, GML_BLACK, _PLUGIN_INFO::gmline1, _PLUGIN_INFO::gmline2, goom_draw_text(), goom_irand(), goom_lines_draw(), goom_lines_switch_to(), _PLUGIN_INFO::goomvar, _PLUGIN_INFO::gRandom, guint32, _PLUGIN_INFO::_SIZE_TYPE::height, _ZOOM_FILTER_DATA::hPlaneEffect, HYPERCOS1_MODE, HYPERCOS2_MODE, _ZOOM_FILTER_DATA::hypercosEffect, _PLUGIN_INFO::ifs_fx, _PLUGIN_INFO::ifs_incr, _PLUGIN_INFO::lineMode, _PLUGIN_INFO::lockvar, _PLUGIN_INFO::loopvar, _ZOOM_FILTER_DATA::middleX, _ZOOM_FILTER_DATA::middleY, _ZOOM_FILTER_DATA::mode, mode(), NB_FX, _ZOOM_FILTER_DATA::noisify, NORMAL_MODE, NULL, ORANGE, _PLUGIN_INFO::outputBuf, _PLUGIN_INFO::p1, _PLUGIN_INFO::p2, _ZOOM_FILTER_DATA::pertedec, pointFilter(), _GMLINE::power, _PLUGIN_INFO::previousZoomSpeed, GoomState::rangemax, GoomState::rangemin, _PLUGIN_INFO::recay_ifs, _ZOOM_FILTER_DATA::reverse, _PLUGIN_INFO::screen, SCRUNCH_MODE, _PLUGIN_INFO::_SIZE_TYPE::size, _PLUGIN_INFO::sound, _SOUND_INFO::speedvar, SPEEDWAY_MODE, _ZOOM_FILTER_DATA::sqrtperte, _PLUGIN_INFO::star_fx, _PLUGIN_INFO::states, _PLUGIN_INFO::stateSelectionBlocker, _PLUGIN_INFO::stateSelectionRnd, _PLUGIN_INFO::statesNumber, _PLUGIN_INFO::statesRangeMax, _PLUGIN_INFO::stop_lines, STOP_SPEED, _PLUGIN_INFO::switchIncr, _PLUGIN_INFO::switchIncrAmount, _PLUGIN_INFO::switchMult, _PLUGIN_INFO::switchMultAmount, _PLUGIN_INFO::tentacles_fx, TIME_BTW_CHG, _PLUGIN_INFO::timeOfTitleDisplay, _SOUND_INFO::timeSinceLastGoom, _PLUGIN_INFO::titleText, _SOUND_INFO::totalgoom, _PLUGIN_INFO::update, update_message(), VIOLET, _ZOOM_FILTER_DATA::vitesse, _SOUND_INFO::volume, _ZOOM_FILTER_DATA::vPlaneEffect, WATER_MODE, WAVE_MODE, _ZOOM_FILTER_DATA::waveEffect, WHITE, _PLUGIN_INFO::_SIZE_TYPE::width, xine_fast_memcpy, YELLOW, YONLY_MODE, _PLUGIN_INFO::zoomFilterData, and zoomFilterFastRGB().

Referenced by goom_port_put_buffer().